// 核销管理函数库
import apis from "../apis_moudles/verification.js";
import req from "../request";

//EOB列表查询
const QUERYEOBLIST = (data) => {
  return req.post(apis.queryEobList, data);
};
//EOB待核销账单查询
const QUERYEOBRECEIPTLIST = (data) => {
  return req.post(apis.queryEobReceiptList, data);
};
//EOB待确认账单列表查询
const QUERYEOBNEEDRECEIPTLIST = (data) => {
  return req.post(apis.queryEobNeedReceiptList, data);
};

//EOB新建
const SAVEEOBRECEIPTINFO = (data) => {
  return req.post(apis.saveEobReceiptInfo, data);
};

//删除EOB
const DELEOBRECEIPTINFO = (data) => {
  return req.post(apis.deleteEobReceiptInfo, data);
};

//回款列表
const QUERYBACKMONEYLIST = (data) => {
  return req.post(apis.queryBackMoneyList, data);
};
//回款关联EOB列表查询
const QUERYBACKEOBLIST = (data) => {
  return req.post(apis.queryBackEobList, data);
};
//待回款EOB列表查询
const QUERYEOBINFOLIST = (data) => {
  return req.post(apis.queryEobInfoList, data);
};

//新建回款
const SAVEBACKMONEY = (data) => {
  return req.post(apis.saveBackMoney, data);
};

//删除回款
const DELETEBACKMONEY = (data) => {
  return req.post(apis.deleteBackMoney, data);
};

// 对象数组
export default { 
  QUERYEOBLIST,
  QUERYEOBRECEIPTLIST,
  QUERYEOBNEEDRECEIPTLIST,
  SAVEEOBRECEIPTINFO,
  DELEOBRECEIPTINFO,
  QUERYBACKMONEYLIST,
  QUERYBACKEOBLIST,
  QUERYEOBINFOLIST,
  SAVEBACKMONEY,
  DELETEBACKMONEY,
};